People and preferences
Every request goes to your tenant’s own host, https://<tenant id>.atlanticagenticlabs.com, and is scoped to that tenant by row-level security. The examples read AAL_TENANT, AAL_KEY and your Access service token from the environment: see Authentication.
GET /api/v1/me
Authentication: A person’s session, or a machine key with your Access service token, as the route’s role allows. A route that approves, decides, pays or changes a limit refuses a machine key (person_required).
| Status | Meaning |
|---|---|
| 200 | The client, the viewer and more (example abridged) |
| 4XX | Refused: {error, message} with a fixed error code, listed under Errors. |
200 response:
{ "contract": 1, "contract_revision": "1.15", "client": { "slug": "example-air", "name": "Example Air", "logo_url": null, "tenant_id": "k7q2m9xw", "portal_host": "k7q2m9xw", "hostname": "k7q2m9xw.atlanticagenticlabs.com", "portal_url": "https://k7q2m9xw.atlanticagenticlabs.com/" }, "viewer": { "email": "ops@example.test", "name": "Ops Viewer", "provider": { "kind": "microsoft", "name": "Microsoft" }, "kind": "client", "role": "viewer", "mfa": { "verified": true, "source": "provider" } }, "deployments": []}curl "https://$AAL_TENANT.atlanticagenticlabs.com/api/v1/me" \ -H "Authorization: Bearer $AAL_KEY" \ -H "CF-Access-Client-Id: $CF_ACCESS_CLIENT_ID" \ -H "CF-Access-Client-Secret: $CF_ACCESS_CLIENT_SECRET"import os
import httpx
headers = { "Authorization": f"Bearer {os.environ['AAL_KEY']}", "CF-Access-Client-Id": os.environ["CF_ACCESS_CLIENT_ID"], "CF-Access-Client-Secret": os.environ["CF_ACCESS_CLIENT_SECRET"],}r = httpx.get(f"https://{os.environ['AAL_TENANT']}.atlanticagenticlabs.com/api/v1/me", headers=headers)r.raise_for_status()print(r.json())const res = await fetch( `https://${process.env.AAL_TENANT}.atlanticagenticlabs.com/api/v1/me`, { headers: { Authorization: `Bearer ${process.env.AAL_KEY}`, "CF-Access-Client-Id": process.env.CF_ACCESS_CLIENT_ID!, "CF-Access-Client-Secret": process.env.CF_ACCESS_CLIENT_SECRET!, }, },);if (!res.ok) throw new Error(`${res.status}: ${(await res.json()).error}`);console.log(await res.json());Put Avatar
Section titled “Put Avatar”PUT /api/v1/me/avatar
Authentication: A person’s session, or a machine key with your Access service token, as the route’s role allows. A route that approves, decides, pays or changes a limit refuses a machine key (person_required).
| Status | Meaning |
|---|---|
| 200 | OK: the request was carried out. The answer is JSON. |
| 4XX | Refused: {error, message} with a fixed error code, listed under Errors. |
curl -X PUT "https://$AAL_TENANT.atlanticagenticlabs.com/api/v1/me/avatar" \ -H "Authorization: Bearer $AAL_KEY" \ -H "CF-Access-Client-Id: $CF_ACCESS_CLIENT_ID" \ -H "CF-Access-Client-Secret: $CF_ACCESS_CLIENT_SECRET"import os
import httpx
headers = { "Authorization": f"Bearer {os.environ['AAL_KEY']}", "CF-Access-Client-Id": os.environ["CF_ACCESS_CLIENT_ID"], "CF-Access-Client-Secret": os.environ["CF_ACCESS_CLIENT_SECRET"],}r = httpx.put(f"https://{os.environ['AAL_TENANT']}.atlanticagenticlabs.com/api/v1/me/avatar", headers=headers)r.raise_for_status()print(r.json())const res = await fetch( `https://${process.env.AAL_TENANT}.atlanticagenticlabs.com/api/v1/me/avatar`, { method: "PUT", headers: { Authorization: `Bearer ${process.env.AAL_KEY}`, "CF-Access-Client-Id": process.env.CF_ACCESS_CLIENT_ID!, "CF-Access-Client-Secret": process.env.CF_ACCESS_CLIENT_SECRET!, }, },);if (!res.ok) throw new Error(`${res.status}: ${(await res.json()).error}`);console.log(await res.json());Delete Avatar
Section titled “Delete Avatar”DELETE /api/v1/me/avatar
Authentication: A person’s session, or a machine key with your Access service token, as the route’s role allows. A route that approves, decides, pays or changes a limit refuses a machine key (person_required).
| Status | Meaning |
|---|---|
| 200 | OK: the request was carried out. The answer is JSON. |
| 4XX | Refused: {error, message} with a fixed error code, listed under Errors. |
curl -X DELETE "https://$AAL_TENANT.atlanticagenticlabs.com/api/v1/me/avatar" \ -H "Authorization: Bearer $AAL_KEY" \ -H "CF-Access-Client-Id: $CF_ACCESS_CLIENT_ID" \ -H "CF-Access-Client-Secret: $CF_ACCESS_CLIENT_SECRET"import os
import httpx
headers = { "Authorization": f"Bearer {os.environ['AAL_KEY']}", "CF-Access-Client-Id": os.environ["CF_ACCESS_CLIENT_ID"], "CF-Access-Client-Secret": os.environ["CF_ACCESS_CLIENT_SECRET"],}r = httpx.delete(f"https://{os.environ['AAL_TENANT']}.atlanticagenticlabs.com/api/v1/me/avatar", headers=headers)r.raise_for_status()print(r.json())const res = await fetch( `https://${process.env.AAL_TENANT}.atlanticagenticlabs.com/api/v1/me/avatar`, { method: "DELETE", headers: { Authorization: `Bearer ${process.env.AAL_KEY}`, "CF-Access-Client-Id": process.env.CF_ACCESS_CLIENT_ID!, "CF-Access-Client-Secret": process.env.CF_ACCESS_CLIENT_SECRET!, }, },);if (!res.ok) throw new Error(`${res.status}: ${(await res.json()).error}`);console.log(await res.json());GET /api/v1/me/preferences
Authentication: A person’s session, or a machine key with your Access service token, as the route’s role allows. A route that approves, decides, pays or changes a limit refuses a machine key (person_required).
| Status | Meaning |
|---|---|
| 200 | OK: the JSON document this route reads. |
| 4XX | Refused: {error, message} with a fixed error code, listed under Errors. |
curl "https://$AAL_TENANT.atlanticagenticlabs.com/api/v1/me/preferences" \ -H "Authorization: Bearer $AAL_KEY" \ -H "CF-Access-Client-Id: $CF_ACCESS_CLIENT_ID" \ -H "CF-Access-Client-Secret: $CF_ACCESS_CLIENT_SECRET"import os
import httpx
headers = { "Authorization": f"Bearer {os.environ['AAL_KEY']}", "CF-Access-Client-Id": os.environ["CF_ACCESS_CLIENT_ID"], "CF-Access-Client-Secret": os.environ["CF_ACCESS_CLIENT_SECRET"],}r = httpx.get(f"https://{os.environ['AAL_TENANT']}.atlanticagenticlabs.com/api/v1/me/preferences", headers=headers)r.raise_for_status()print(r.json())const res = await fetch( `https://${process.env.AAL_TENANT}.atlanticagenticlabs.com/api/v1/me/preferences`, { headers: { Authorization: `Bearer ${process.env.AAL_KEY}`, "CF-Access-Client-Id": process.env.CF_ACCESS_CLIENT_ID!, "CF-Access-Client-Secret": process.env.CF_ACCESS_CLIENT_SECRET!, }, },);if (!res.ok) throw new Error(`${res.status}: ${(await res.json()).error}`);console.log(await res.json());PUT /api/v1/me/preferences
Authentication: A person’s session, or a machine key with your Access service token, as the route’s role allows. A route that approves, decides, pays or changes a limit refuses a machine key (person_required).
| Status | Meaning |
|---|---|
| 200 | OK: the request was carried out. The answer is JSON. |
| 4XX | Refused: {error, message} with a fixed error code, listed under Errors. |
curl -X PUT "https://$AAL_TENANT.atlanticagenticlabs.com/api/v1/me/preferences" \ -H "Authorization: Bearer $AAL_KEY" \ -H "CF-Access-Client-Id: $CF_ACCESS_CLIENT_ID" \ -H "CF-Access-Client-Secret: $CF_ACCESS_CLIENT_SECRET"import os
import httpx
headers = { "Authorization": f"Bearer {os.environ['AAL_KEY']}", "CF-Access-Client-Id": os.environ["CF_ACCESS_CLIENT_ID"], "CF-Access-Client-Secret": os.environ["CF_ACCESS_CLIENT_SECRET"],}r = httpx.put(f"https://{os.environ['AAL_TENANT']}.atlanticagenticlabs.com/api/v1/me/preferences", headers=headers)r.raise_for_status()print(r.json())const res = await fetch( `https://${process.env.AAL_TENANT}.atlanticagenticlabs.com/api/v1/me/preferences`, { method: "PUT", headers: { Authorization: `Bearer ${process.env.AAL_KEY}`, "CF-Access-Client-Id": process.env.CF_ACCESS_CLIENT_ID!, "CF-Access-Client-Secret": process.env.CF_ACCESS_CLIENT_SECRET!, }, },);if (!res.ok) throw new Error(`${res.status}: ${(await res.json()).error}`);console.log(await res.json());GET /api/v1/me/profile
Authentication: A person’s session, or a machine key with your Access service token, as the route’s role allows. A route that approves, decides, pays or changes a limit refuses a machine key (person_required).
| Status | Meaning |
|---|---|
| 200 | OK: the JSON document this route reads. |
| 4XX | Refused: {error, message} with a fixed error code, listed under Errors. |
curl "https://$AAL_TENANT.atlanticagenticlabs.com/api/v1/me/profile" \ -H "Authorization: Bearer $AAL_KEY" \ -H "CF-Access-Client-Id: $CF_ACCESS_CLIENT_ID" \ -H "CF-Access-Client-Secret: $CF_ACCESS_CLIENT_SECRET"import os
import httpx
headers = { "Authorization": f"Bearer {os.environ['AAL_KEY']}", "CF-Access-Client-Id": os.environ["CF_ACCESS_CLIENT_ID"], "CF-Access-Client-Secret": os.environ["CF_ACCESS_CLIENT_SECRET"],}r = httpx.get(f"https://{os.environ['AAL_TENANT']}.atlanticagenticlabs.com/api/v1/me/profile", headers=headers)r.raise_for_status()print(r.json())const res = await fetch( `https://${process.env.AAL_TENANT}.atlanticagenticlabs.com/api/v1/me/profile`, { headers: { Authorization: `Bearer ${process.env.AAL_KEY}`, "CF-Access-Client-Id": process.env.CF_ACCESS_CLIENT_ID!, "CF-Access-Client-Secret": process.env.CF_ACCESS_CLIENT_SECRET!, }, },);if (!res.ok) throw new Error(`${res.status}: ${(await res.json()).error}`);console.log(await res.json());Put Profile
Section titled “Put Profile”PUT /api/v1/me/profile
Authentication: A person’s session, or a machine key with your Access service token, as the route’s role allows. A route that approves, decides, pays or changes a limit refuses a machine key (person_required).
| Status | Meaning |
|---|---|
| 200 | OK: the request was carried out. The answer is JSON. |
| 4XX | Refused: {error, message} with a fixed error code, listed under Errors. |
curl -X PUT "https://$AAL_TENANT.atlanticagenticlabs.com/api/v1/me/profile" \ -H "Authorization: Bearer $AAL_KEY" \ -H "CF-Access-Client-Id: $CF_ACCESS_CLIENT_ID" \ -H "CF-Access-Client-Secret: $CF_ACCESS_CLIENT_SECRET"import os
import httpx
headers = { "Authorization": f"Bearer {os.environ['AAL_KEY']}", "CF-Access-Client-Id": os.environ["CF_ACCESS_CLIENT_ID"], "CF-Access-Client-Secret": os.environ["CF_ACCESS_CLIENT_SECRET"],}r = httpx.put(f"https://{os.environ['AAL_TENANT']}.atlanticagenticlabs.com/api/v1/me/profile", headers=headers)r.raise_for_status()print(r.json())const res = await fetch( `https://${process.env.AAL_TENANT}.atlanticagenticlabs.com/api/v1/me/profile`, { method: "PUT", headers: { Authorization: `Bearer ${process.env.AAL_KEY}`, "CF-Access-Client-Id": process.env.CF_ACCESS_CLIENT_ID!, "CF-Access-Client-Secret": process.env.CF_ACCESS_CLIENT_SECRET!, }, },);if (!res.ok) throw new Error(`${res.status}: ${(await res.json()).error}`);console.log(await res.json());GET /api/v1/me/tours
Authentication: A person’s session, or a machine key with your Access service token, as the route’s role allows. A route that approves, decides, pays or changes a limit refuses a machine key (person_required).
| Status | Meaning |
|---|---|
| 200 | OK: the JSON document this route reads. |
| 4XX | Refused: {error, message} with a fixed error code, listed under Errors. |
curl "https://$AAL_TENANT.atlanticagenticlabs.com/api/v1/me/tours" \ -H "Authorization: Bearer $AAL_KEY" \ -H "CF-Access-Client-Id: $CF_ACCESS_CLIENT_ID" \ -H "CF-Access-Client-Secret: $CF_ACCESS_CLIENT_SECRET"import os
import httpx
headers = { "Authorization": f"Bearer {os.environ['AAL_KEY']}", "CF-Access-Client-Id": os.environ["CF_ACCESS_CLIENT_ID"], "CF-Access-Client-Secret": os.environ["CF_ACCESS_CLIENT_SECRET"],}r = httpx.get(f"https://{os.environ['AAL_TENANT']}.atlanticagenticlabs.com/api/v1/me/tours", headers=headers)r.raise_for_status()print(r.json())const res = await fetch( `https://${process.env.AAL_TENANT}.atlanticagenticlabs.com/api/v1/me/tours`, { headers: { Authorization: `Bearer ${process.env.AAL_KEY}`, "CF-Access-Client-Id": process.env.CF_ACCESS_CLIENT_ID!, "CF-Access-Client-Secret": process.env.CF_ACCESS_CLIENT_SECRET!, }, },);if (!res.ok) throw new Error(`${res.status}: ${(await res.json()).error}`);console.log(await res.json());PUT /api/v1/me/tours/{tour}
Authentication: A person’s session, or a machine key with your Access service token, as the route’s role allows. A route that approves, decides, pays or changes a limit refuses a machine key (person_required).
| Parameter | In | Type | Required |
|---|---|---|---|
tour |
path | string | yes |
| Status | Meaning |
|---|---|
| 200 | OK: the request was carried out. The answer is JSON. |
| 400 | Bad request, bad_query: a path or query parameter, or a body field, is missing or not valid. |
| 4XX | Refused: {error, message} with a fixed error code, listed under Errors. |
curl -X PUT "https://$AAL_TENANT.atlanticagenticlabs.com/api/v1/me/tours/TOUR" \ -H "Authorization: Bearer $AAL_KEY" \ -H "CF-Access-Client-Id: $CF_ACCESS_CLIENT_ID" \ -H "CF-Access-Client-Secret: $CF_ACCESS_CLIENT_SECRET"import os
import httpx
headers = { "Authorization": f"Bearer {os.environ['AAL_KEY']}", "CF-Access-Client-Id": os.environ["CF_ACCESS_CLIENT_ID"], "CF-Access-Client-Secret": os.environ["CF_ACCESS_CLIENT_SECRET"],}r = httpx.put(f"https://{os.environ['AAL_TENANT']}.atlanticagenticlabs.com/api/v1/me/tours/TOUR", headers=headers)r.raise_for_status()print(r.json())const res = await fetch( `https://${process.env.AAL_TENANT}.atlanticagenticlabs.com/api/v1/me/tours/TOUR`, { method: "PUT", headers: { Authorization: `Bearer ${process.env.AAL_KEY}`, "CF-Access-Client-Id": process.env.CF_ACCESS_CLIENT_ID!, "CF-Access-Client-Secret": process.env.CF_ACCESS_CLIENT_SECRET!, }, },);if (!res.ok) throw new Error(`${res.status}: ${(await res.json()).error}`);console.log(await res.json());List People
Section titled “List People”GET /api/v1/people
Authentication: A person’s session, or a machine key with your Access service token, as the route’s role allows. A route that approves, decides, pays or changes a limit refuses a machine key (person_required).
| Status | Meaning |
|---|---|
| 200 | OK: the JSON document this route reads. |
| 4XX | Refused: {error, message} with a fixed error code, listed under Errors. |
curl "https://$AAL_TENANT.atlanticagenticlabs.com/api/v1/people" \ -H "Authorization: Bearer $AAL_KEY" \ -H "CF-Access-Client-Id: $CF_ACCESS_CLIENT_ID" \ -H "CF-Access-Client-Secret: $CF_ACCESS_CLIENT_SECRET"import os
import httpx
headers = { "Authorization": f"Bearer {os.environ['AAL_KEY']}", "CF-Access-Client-Id": os.environ["CF_ACCESS_CLIENT_ID"], "CF-Access-Client-Secret": os.environ["CF_ACCESS_CLIENT_SECRET"],}r = httpx.get(f"https://{os.environ['AAL_TENANT']}.atlanticagenticlabs.com/api/v1/people", headers=headers)r.raise_for_status()print(r.json())const res = await fetch( `https://${process.env.AAL_TENANT}.atlanticagenticlabs.com/api/v1/people`, { headers: { Authorization: `Bearer ${process.env.AAL_KEY}`, "CF-Access-Client-Id": process.env.CF_ACCESS_CLIENT_ID!, "CF-Access-Client-Secret": process.env.CF_ACCESS_CLIENT_SECRET!, }, },);if (!res.ok) throw new Error(`${res.status}: ${(await res.json()).error}`);console.log(await res.json());Avatar
Section titled “Avatar”GET /api/v1/people/{pid}/avatar
Authentication: A person’s session, or a machine key with your Access service token, as the route’s role allows. A route that approves, decides, pays or changes a limit refuses a machine key (person_required).
| Parameter | In | Type | Required |
|---|---|---|---|
pid |
path | string | yes |
| Status | Meaning |
|---|---|
| 200 | OK: the JSON document this route reads. |
| 400 | Bad request, bad_query: a path or query parameter, or a body field, is missing or not valid. |
| 4XX | Refused: {error, message} with a fixed error code, listed under Errors. |
curl "https://$AAL_TENANT.atlanticagenticlabs.com/api/v1/people/PID/avatar" \ -H "Authorization: Bearer $AAL_KEY" \ -H "CF-Access-Client-Id: $CF_ACCESS_CLIENT_ID" \ -H "CF-Access-Client-Secret: $CF_ACCESS_CLIENT_SECRET"import os
import httpx
headers = { "Authorization": f"Bearer {os.environ['AAL_KEY']}", "CF-Access-Client-Id": os.environ["CF_ACCESS_CLIENT_ID"], "CF-Access-Client-Secret": os.environ["CF_ACCESS_CLIENT_SECRET"],}r = httpx.get(f"https://{os.environ['AAL_TENANT']}.atlanticagenticlabs.com/api/v1/people/PID/avatar", headers=headers)r.raise_for_status()print(r.json())const res = await fetch( `https://${process.env.AAL_TENANT}.atlanticagenticlabs.com/api/v1/people/PID/avatar`, { headers: { Authorization: `Bearer ${process.env.AAL_KEY}`, "CF-Access-Client-Id": process.env.CF_ACCESS_CLIENT_ID!, "CF-Access-Client-Secret": process.env.CF_ACCESS_CLIENT_SECRET!, }, },);if (!res.ok) throw new Error(`${res.status}: ${(await res.json()).error}`);console.log(await res.json());Get Settings
Section titled “Get Settings”GET /api/v1/profile-settings
Authentication: A person’s session, or a machine key with your Access service token, as the route’s role allows. A route that approves, decides, pays or changes a limit refuses a machine key (person_required).
| Status | Meaning |
|---|---|
| 200 | OK: the JSON document this route reads. |
| 4XX | Refused: {error, message} with a fixed error code, listed under Errors. |
curl "https://$AAL_TENANT.atlanticagenticlabs.com/api/v1/profile-settings" \ -H "Authorization: Bearer $AAL_KEY" \ -H "CF-Access-Client-Id: $CF_ACCESS_CLIENT_ID" \ -H "CF-Access-Client-Secret: $CF_ACCESS_CLIENT_SECRET"import os
import httpx
headers = { "Authorization": f"Bearer {os.environ['AAL_KEY']}", "CF-Access-Client-Id": os.environ["CF_ACCESS_CLIENT_ID"], "CF-Access-Client-Secret": os.environ["CF_ACCESS_CLIENT_SECRET"],}r = httpx.get(f"https://{os.environ['AAL_TENANT']}.atlanticagenticlabs.com/api/v1/profile-settings", headers=headers)r.raise_for_status()print(r.json())const res = await fetch( `https://${process.env.AAL_TENANT}.atlanticagenticlabs.com/api/v1/profile-settings`, { headers: { Authorization: `Bearer ${process.env.AAL_KEY}`, "CF-Access-Client-Id": process.env.CF_ACCESS_CLIENT_ID!, "CF-Access-Client-Secret": process.env.CF_ACCESS_CLIENT_SECRET!, }, },);if (!res.ok) throw new Error(`${res.status}: ${(await res.json()).error}`);console.log(await res.json());Put Settings
Section titled “Put Settings”PUT /api/v1/profile-settings
Authentication: A person’s session, or a machine key with your Access service token, as the route’s role allows. A route that approves, decides, pays or changes a limit refuses a machine key (person_required).
| Status | Meaning |
|---|---|
| 200 | OK: the request was carried out. The answer is JSON. |
| 4XX | Refused: {error, message} with a fixed error code, listed under Errors. |
curl -X PUT "https://$AAL_TENANT.atlanticagenticlabs.com/api/v1/profile-settings" \ -H "Authorization: Bearer $AAL_KEY" \ -H "CF-Access-Client-Id: $CF_ACCESS_CLIENT_ID" \ -H "CF-Access-Client-Secret: $CF_ACCESS_CLIENT_SECRET"import os
import httpx
headers = { "Authorization": f"Bearer {os.environ['AAL_KEY']}", "CF-Access-Client-Id": os.environ["CF_ACCESS_CLIENT_ID"], "CF-Access-Client-Secret": os.environ["CF_ACCESS_CLIENT_SECRET"],}r = httpx.put(f"https://{os.environ['AAL_TENANT']}.atlanticagenticlabs.com/api/v1/profile-settings", headers=headers)r.raise_for_status()print(r.json())const res = await fetch( `https://${process.env.AAL_TENANT}.atlanticagenticlabs.com/api/v1/profile-settings`, { method: "PUT", headers: { Authorization: `Bearer ${process.env.AAL_KEY}`, "CF-Access-Client-Id": process.env.CF_ACCESS_CLIENT_ID!, "CF-Access-Client-Secret": process.env.CF_ACCESS_CLIENT_SECRET!, }, },);if (!res.ok) throw new Error(`${res.status}: ${(await res.json()).error}`);console.log(await res.json());Tenant Get
Section titled “Tenant Get”GET /api/v1/tenant/settings/locale
Authentication: A person’s session, or a machine key with your Access service token, as the route’s role allows. A route that approves, decides, pays or changes a limit refuses a machine key (person_required).
| Status | Meaning |
|---|---|
| 200 | OK: the JSON document this route reads. |
| 4XX | Refused: {error, message} with a fixed error code, listed under Errors. |
curl "https://$AAL_TENANT.atlanticagenticlabs.com/api/v1/tenant/settings/locale" \ -H "Authorization: Bearer $AAL_KEY" \ -H "CF-Access-Client-Id: $CF_ACCESS_CLIENT_ID" \ -H "CF-Access-Client-Secret: $CF_ACCESS_CLIENT_SECRET"import os
import httpx
headers = { "Authorization": f"Bearer {os.environ['AAL_KEY']}", "CF-Access-Client-Id": os.environ["CF_ACCESS_CLIENT_ID"], "CF-Access-Client-Secret": os.environ["CF_ACCESS_CLIENT_SECRET"],}r = httpx.get(f"https://{os.environ['AAL_TENANT']}.atlanticagenticlabs.com/api/v1/tenant/settings/locale", headers=headers)r.raise_for_status()print(r.json())const res = await fetch( `https://${process.env.AAL_TENANT}.atlanticagenticlabs.com/api/v1/tenant/settings/locale`, { headers: { Authorization: `Bearer ${process.env.AAL_KEY}`, "CF-Access-Client-Id": process.env.CF_ACCESS_CLIENT_ID!, "CF-Access-Client-Secret": process.env.CF_ACCESS_CLIENT_SECRET!, }, },);if (!res.ok) throw new Error(`${res.status}: ${(await res.json()).error}`);console.log(await res.json());Tenant Put
Section titled “Tenant Put”PUT /api/v1/tenant/settings/locale
Authentication: A person’s session, or a machine key with your Access service token, as the route’s role allows. A route that approves, decides, pays or changes a limit refuses a machine key (person_required).
| Status | Meaning |
|---|---|
| 200 | OK: the request was carried out. The answer is JSON. |
| 4XX | Refused: {error, message} with a fixed error code, listed under Errors. |
curl -X PUT "https://$AAL_TENANT.atlanticagenticlabs.com/api/v1/tenant/settings/locale" \ -H "Authorization: Bearer $AAL_KEY" \ -H "CF-Access-Client-Id: $CF_ACCESS_CLIENT_ID" \ -H "CF-Access-Client-Secret: $CF_ACCESS_CLIENT_SECRET"import os
import httpx
headers = { "Authorization": f"Bearer {os.environ['AAL_KEY']}", "CF-Access-Client-Id": os.environ["CF_ACCESS_CLIENT_ID"], "CF-Access-Client-Secret": os.environ["CF_ACCESS_CLIENT_SECRET"],}r = httpx.put(f"https://{os.environ['AAL_TENANT']}.atlanticagenticlabs.com/api/v1/tenant/settings/locale", headers=headers)r.raise_for_status()print(r.json())const res = await fetch( `https://${process.env.AAL_TENANT}.atlanticagenticlabs.com/api/v1/tenant/settings/locale`, { method: "PUT", headers: { Authorization: `Bearer ${process.env.AAL_KEY}`, "CF-Access-Client-Id": process.env.CF_ACCESS_CLIENT_ID!, "CF-Access-Client-Secret": process.env.CF_ACCESS_CLIENT_SECRET!, }, },);if (!res.ok) throw new Error(`${res.status}: ${(await res.json()).error}`);console.log(await res.json());